Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class ProviderSubscriber

    java.lang.Object
      |
      +--oracle.portal.provider.v1.ProviderSubscriber

public class ProviderSubscriber
extends java.lang.Object

Represents the portal subscriber. Used to encapsulate dynamically generated subscriber and encryption information when Provider.register() is called.

Constructor Summary
`ProviderSubscriber()` Default constructor
`ProviderSubscriber(java.lang.String subscriberId, java.lang.String key)` Create a new subscriber instance using the passed ID and key.

Method Summary
`java.lang.String` | `getEncryptionKey()` Gets the encryption key
`java.lang.String` | `getId()` Gets the subscriber Id
`void` | `setEncryptionKey(java.lang.String key)` Sets the encryption key.
`void` | `setId(java.lang.String subscriberId)` Sets the subscriber Id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderSubscriber

    public ProviderSubscriber()

  Default constructor

### ProviderSubscriber

    public ProviderSubscriber(java.lang.String subscriberId,
                              java.lang.String key)

  Create a new subscriber instance using the passed ID and key.
  Parameters:
    `subscriberId` - identifier representing this portal or subscription. It is reasonable and valid for this to be the providerId.
    `key` - encryption key the portal should use to encrypt all subsequent requests to this provider.

Method Detail

### getId

    public java.lang.String getId()

  Gets the subscriber Id
  Returns:
    the subscriberId

### setId

    public void setId(java.lang.String subscriberId)

  Sets the subscriber Id. Used if object created via null constructor.
  Parameters:
    `subscriberId` - the subscriberId

### getEncryptionKey

    public java.lang.String getEncryptionKey()

  Gets the encryption key
  Returns:
    the key

### setEncryptionKey

    public void setEncryptionKey(java.lang.String key)

  Sets the encryption key. Used if object created via null constructor.
  Parameters:
    `key` - the key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD